## gate.swing
Class ColorGenerator

    java.lang.Object
      |
      +--gate.swing.ColorGenerator

public class ColorGenerator
extends Object

This class is used to generate random colours that are evenly distributed in the colours space.

Inner Class Summary
`(package private) class` `ColorGenerator.ColorSpace` Represents a colur space.

Field Summary
`(package private) LinkedList[]` `availableSpacesList`
`private static boolean` `DEBUG` Debug flag
`(package private) int` `listToRead`
`(package private) LinkedList` `usedSpacesList`

Constructor Summary
`ColorGenerator()` Creates a new ColorGenerator

Method Summary
`Color` `getNextColor()` Gets the next random colour

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### availableSpacesList

    LinkedList[] availableSpacesList

### usedSpacesList

    LinkedList usedSpacesList

### listToRead

    int listToRead

Constructor Detail

### ColorGenerator

    public ColorGenerator()

  Creates a new ColorGenerator

Method Detail

### getNextColor

    public Color getNextColor()

  Gets the next random colour